.TH ADE\-DEBUG 1 14/12/2016 0.1612.0 Apertis\ Development\ Tools\ Manual

.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l

.SH NAME

ade-debug \- Start an application in debug mode

.SH SYNOPSIS
.sp
.nf
\fBade debug\fR --app=<app> --device [<user>[:<pass>]@]<hostname>[:<port>] \fBARGS\fR
.fi
.sp
.SH DESCRIPTION
.sp
Start an application on given device in debug mode and connect GDB to it\&.
The tool should be run with the target project directory as the current one\&.
Ideally, the project should have been configured with the \-\-debug option so
the debug symbols are available\&.
.sp
.SH OPTIONS
.sp
.PP
\fB\-\-app\fR
.RS 4
Absolute path to application to start\&. If not specified, the main entry
point is used when found\&.
.sp
.RE
.PP
\fB\-\-no-interactive\fR
.RS 4
Only start the GDB server without entering the GDB interactive mode\&.
.sp
.RE
.PP
\fB\-\-device\fR
.RS 4
Use device as target (e.g. user@apertis)\&.
.sp
.RE
.SH SEE ALSO

ade(1)

.SH COPYRIGHT

Copyright (c) 2016 Collabora Ltd.
